Package fr.gouv.vitam.common

# Class SedaConstants

java.lang.Object
fr.gouv.vitam.common.SedaConstants

public class SedaConstants extends Object
Constants for the Seda used in Json files

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALGORITHM`
  Tag of algorithm
  `static final String`
  `ATTRIBUTE_ID`
  attribute id of archive unit
  `static final String`
  `ATTRIBUTE_SCHEMA_LOCATION`
  the attribute schemaLocation
  `static final String`
  `DATE_FORMAT_PATERN`
  Date format patern
  `static final String`
  `DATE_TIME_FORMAT_PATERN`
  Date time format patern
  `static final String`
  `EV_DET_TECH_DATA`
  evDetTechData
  `static final String`
  `LFC_OBJECTS_FOLDER`
  LFC OBJECTS FOLDER path
  `static final String`
  `LFC_UNITS_FOLDER`
  LFC UNITS FOLDER path
  `static final String`
  `NAMESPACE_PR`
  the namespace pr
  `static final String`
  `NAMESPACE_XLINK`
  the namespace xlink
  `static final String`
  `NAMESPACE_XSI`
  the namespace xsi
  `static final String`
  `OFFER_IDS`
  Tag in storage
  `static final String`
  `PREFIX_EXISTING`
  Prefix to be added in _work, it can be boolean or object.
  `static final String`
  `PREFIX_ID`
  Prefix of id element
  `static final String`
  `PREFIX_MGT`
  Prefix of management
  `static final String`
  `PREFIX_NB`
  Prefix of nb
  `static final String`
  `PREFIX_OG`
  Prefix of object group
  `static final String`
  `PREFIX_OPI`
  Prefix of opi
  `static final String`
  `PREFIX_OPS`
  Prefix of ops
  `static final String`
  `PREFIX_ORIGINATING_AGENCIES`
  Prefix of OriginatingAgency
  `static final String`
  `PREFIX_ORIGINATING_AGENCY`
  Prefix of OriginatingAgency
  `static final String`
  `PREFIX_QUALIFIER`
  Prefix of qualifiers element
  `static final String`
  `PREFIX_QUALIFIERS`
  Prefix of qualifiers element
  `static final String`
  `PREFIX_TENANT_ID`
  Prefix of tenantID
  `static final String`
  `PREFIX_TYPE`
  Prefix of type
  `static final String`
  `PREFIX_UP`
  Prefix of up element
  `static final String`
  `PREFIX_WORK`
  Prefix of work element in the OG
  `static final String`
  `RULE_SEPARATOR`
  Rule separator in work
  `static final String`
  `STAX_PROPERTY_PREFIX_OUTPUT_SIDE`
  reparing namespace property
  `static final String`
  `STORAGE`
  Tag for storage in objectGroup
  `static final String`
  `STRATEGY_ID`
  Strategy Id
  `static final String`
  `TAG_ACCESS_RULE_CODE_LIST_VERSION`
  tag of AccessRuleCodeListVersion
  `static final String`
  `TAG_ACQUISITIONINFORMATION`
  tag of AcquisitionInformation
  `static final String`
  `TAG_APPRAISAL_RULE_CODE_LIST_VERSION`
  tag of AppraisalRuleCodeListVersion
  `static final String`
  `TAG_ARCHIVAL_AGENCY`
  tag of ArchivalAgency
  `static final String`
  `TAG_ARCHIVAL_AGREEMENT`
  tag of ArchivalAgreement
  `static final String`
  `TAG_ARCHIVE_DELIVERY_REQUEST_REPLY`
  tag of ArchiveDeliveryRequestReply
  `static final String`
  `TAG_ARCHIVE_PROFILE`
  tag of ArchiveProfile
  `static final String`
  `TAG_ARCHIVE_SYSTEM_ID`
  tag of SystemId
  `static final String`
  `TAG_ARCHIVE_TRANSFER`
  tag of ArchiveTransfer
  `static final String`
  `TAG_ARCHIVE_UNIT`
  tag of ArchiveUnit
  `static final String`
  `TAG_ARCHIVE_UNIT_LIST`
  tag of ArchiveUnitList
  `static final String`
  `TAG_ARCHIVE_UNIT_PROFILE`
  tag of ArchiveUnit
  `static final String`
  `TAG_ATTRIBUTE_LANG`
  `static final String`
  `TAG_ATTRIBUTE_UNIT`
  `static final String`
  `TAG_AUTHORIZATION_REASON_CODE_LIST_VERSION`
  tag of AuthorizationReasonCodeListVersion
  `static final String`
  `TAG_AUTHORIZATION_REQUEST_REPLY_IDENTIFIER`
  Tag of AuthorizationRequestReplyIdentifier
  `static final String`
  `TAG_BINARY_DATA_OBJECT`
  Tag of BinaryDataObject
  `static final String`
  `TAG_BINARY_DATA_OBJECT_ID`
  tag of BinaryDataObjectID
  `static final String`
  `TAG_CLASSIFICATION_RULE_CODE_LIST_VERSION`
  tag of ClassificationRuleCodeListVersion
  `static final String`
  `TAG_CODE_LIST_VERSIONS`
  tag of CodeListVersions
  `static final String`
  `TAG_COMMENT`
  `static final String`
  `TAG_COMPRESSION_ALGORITHM_CODE_LIST_VERSION`
  tag of CompressionAlgorithmCodeListVersion
  `static final String`
  `TAG_D_VALUE`
  Tag of dValue : used for data with an attibute
  `static final String`
  `TAG_DATA_OBJECT_GROUP`
  tag of DataObjectGroup
  `static final String`
  `TAG_DATA_OBJECT_GROUP_EXISTING_REFERENCEID`
  Tag of DataObjectGroupExistingReferenceId
  `static final String`
  `TAG_DATA_OBJECT_GROUP_REFERENCEID`
  Tag of DataObjectGroupReferenceId
  `static final String`
  `TAG_DATA_OBJECT_GROUP_SYSTEM_ID`
  tag of DataObjectGroupSystemId
  `static final String`
  `TAG_DATA_OBJECT_GROUPE_ID`
  tag of DataObjectGroupId
  `static final String`
  `TAG_DATA_OBJECT_LIST`
  tag of DataObjectList
  `static final String`
  `TAG_DATA_OBJECT_PACKAGE`
  tag of DataObjectPackage
  `static final String`
  `TAG_DATA_OBJECT_REFERENCEID`
  Tag of DataObjectReferenceId
  `static final String`
  `TAG_DATA_OBJECT_SYSTEM_ID`
  tag of DataObjectSystemId
  `static final String`
  `TAG_DATA_OBJECT_VERSION_CODE_LIST_VERSION`
  tag of DataObjectVersionCodeListVersion
  `static final String`
  `TAG_DATE`
  tag of Date
  `static final String`
  `TAG_DESCRIPTIVE_METADATA`
  tag of DescriptiveMetadata
  `static final String`
  `TAG_DIGEST`
  Tag of messageDigest
  `static final String`
  `TAG_DISSEMINATION_RULE_CODE_LIST_VERSION`
  tag of DisseminationRuleCodeListVersion
  `static final String`
  `TAG_DO_VERSION`
  Tag of DataObjectVersion
  `static final String`
  `TAG_ENCODING_CODE_LIST_VERSION`
  tag of EncodingCodeListVersion
  `static final String`
  `TAG_EVENT`
  tag of Event
  `static final String`
  `TAG_EVENT_DATE_TIME`
  tag of EventDateTime
  `static final String`
  `TAG_EVENT_DETAIL_DATA`
  tag of EventDetailData
  `static final String`
  `TAG_EVENT_OUTCOME`
  tag of Outcome
  `static final String`
  `TAG_EVENT_OUTCOME_DETAIL`
  tag of OutcomeDetail
  `static final String`
  `TAG_EVENT_OUTCOME_DETAIL_MESSAGE`
  tag of OutcomeDetailMessage
  `static final String`
  `TAG_EVENT_TYPE`
  tag of EventTyoe
  `static final String`
  `TAG_EVENT_TYPE_CODE`
  tag of EventTypeCode
  `static final String`
  `TAG_FILE_FORMAT_CODE_LIST_VERSION`
  tag of FileFormatCodeListVersion
  `static final String`
  `TAG_FILE_INFO`
  File Info element
  `static final String`
  `TAG_FORMAT_ID`
  Tag of FormatId
  `static final String`
  `TAG_FORMAT_IDENTIFICATION`
  Tag of FormatIdentification
  `static final String`
  `TAG_FORMAT_LITTERAL`
  Tag of FormatLitteral
  `static final String`
  `TAG_GRANT_DATE`
  tag of GrantDate
  `static final String`
  `TAG_IDENTIFIER`
  tag of Identifier
  `static final String`
  `TAG_LEGALSTATUS`
  tag of LegalStatus
  `static final String`
  `TAG_LOGBOOK`
  `static final String`
  `TAG_MANAGEMENT_METADATA`
  tag of ManagementMetadata
  `static final String`
  `TAG_MESSAGE_DIGEST_ALGORITHM_CODE_LIST_VERSION`
  tag of MessageDigestAlgorithmCodeListVersion
  `static final String`
  `TAG_MESSAGE_IDENTIFIER`
  Tag of MessageIdentifier
  `static final String`
  `TAG_MESSAGE_REQUEST_IDENTIFIER`
  tag of MessageRequestIdentifier
  `static final String`
  `TAG_MIME_TYPE`
  Tag of Mimetype
  `static final String`
  `TAG_MIME_TYPE_CODE_LIST_VERSION`
  tag of MimeTypeCodeListVersion
  `static final String`
  `TAG_NB`
  Tag of nb
  `static final String`
  `TAG_OPERATION`
  tag of Operation
  `static final String`
  `TAG_ORGANIZATIONDESCRIPTIVEMETADATA`
  tag of OrganizationDescriptiveMetadata
  `static final String`
  `TAG_ORIGINATINGAGENCY`
  tag of OriginatingAgency
  `static final String`
  `TAG_ORIGINATINGAGENCYIDENTIFIER`
  tag of OriginatingAgencyIdentifier
  `static final String`
  `TAG_ORIGINATINGAGENCYIDENTIFIERS`
  tag of OriginatingAgencyIdentifier
  `static final String`
  `TAG_PHYSICAL_DATA_OBJECT`
  Tag of PhysicalDataObject
  `static final String`
  `TAG_PHYSICAL_ID`
  Tag of PhysicalId
  `static final String`
  `TAG_RELATED_OBJECT_REFERENCE`
  Tag of RelatedObjectReference
  `static final String`
  `TAG_RELATED_TRANSFER_REFERENCE`
  Tag of RelatedTransferReference
  `static final String`
  `TAG_RELATIONSHIP_CODE_LIST_VERSION`
  tag of RelationshipCodeListVersion
  `static final String`
  `TAG_REPLY_CODE`
  tag of ReplyCode
  `static final String`
  `TAG_REPLY_CODE_LIST_VERSION`
  tag of ReplyCodeListVersion
  `static final String`
  `TAG_REPLY_OUTCOME`
  tag of ReplyOutcome
  `static final String`
  `TAG_REQUESTER`
  Tag of Requester
  `static final String`
  `TAG_REUSE_RULE_CODE_LIST_VERSION`
  tag of ReuseRuleCodeListVersion
  `static final String`
  `TAG_RULE_ACCESS`
  tag of AccessRule
  `static final String`
  `TAG_RULE_APPLING_TO_ROOT_ARCHIVE_UNIT`
  Prefix of rules will be applicated to archive unit
  `static final String`
  `TAG_RULE_APPRAISAL`
  tag of AppraisalRule
  `static final String`
  `TAG_RULE_CLASSIFICATION`
  tag of ClassificationRule
  `static final String`
  `TAG_RULE_CLASSIFICATION_AUDIENCE`
  tag of ClassificationAudience
  `static final String`
  `TAG_RULE_CLASSIFICATION_LEVEL`
  tag of ClassificationLevel
  `static final String`
  `TAG_RULE_CLASSIFICATION_NEED_REASSESSING_AUTHORIZATION`
  tag of NeedReassessingAuthorization
  `static final String`
  `TAG_RULE_CLASSIFICATION_OWNER`
  tag of ClassificationOwner
  `static final String`
  `TAG_RULE_CLASSIFICATION_REASSESSING_DATE`
  tag of ClassificationReassessingDate
  `static final String`
  `TAG_RULE_DISSEMINATION`
  tag of DisseminationRule
  `static final String`
  `TAG_RULE_END_DATE`
  Prefix of rules end date
  `static final String`
  `TAG_RULE_FINAL_ACTION`
  tag of FinalAction
  `static final String`
  `TAG_RULE_HOLD`
  tag of HoldRule
  `static final String`
  `TAG_RULE_HOLD_END_DATE`
  `static final String`
  `TAG_RULE_HOLD_OWNER`
  `static final String`
  `TAG_RULE_HOLD_REASON`
  `static final String`
  `TAG_RULE_HOLD_REASSESSING_DATE`
  `static final String`
  `TAG_RULE_NEED_AUTHORISATION`
  tag of NeedAuthorization
  `static final String`
  `TAG_RULE_PREVENT_INHERITANCE`
  tag PreventInheritance
  `static final String`
  `TAG_RULE_PREVENT_REARRANGEMENT`
  `static final String`
  `TAG_RULE_REF_NON_RULE_ID`
  tag of RefNonRuleId
  `static final String`
  `TAG_RULE_REUSE`
  tag of ReuseRule
  `static final String`
  `TAG_RULE_RULE`
  tag of Rule
  `static final String`
  `TAG_RULE_START_DATE`
  tag of StartDate
  `static final String`
  `TAG_RULE_STORAGE`
  tag of StorageRule
  `static final String`
  `TAG_RULES`
  tag of Rules
  `static final String`
  `TAG_SERVICE_LEVEL`
  tag of ServiceLevel
  `static final String`
  `TAG_SIZE`
  Tag of size
  `static final String`
  `TAG_STORAGE_RULE_CODE_LIST_VERSION`
  tag of StorageRuleCodeListVersion
  `static final String`
  `TAG_SUBMISSIONAGENCYIDENTIFIER`
  tag of SubmissionAgencyIdentifier
  `static final String`
  `TAG_TRANSFER_REQUEST_REPLY_IDENTIFIER`
  Tag of TransferRequestReplyIdentifier
  `static final String`
  `TAG_TRANSFERRING_AGENCY`
  tag of TransferringAgency
  `static final String`
  `TAG_UNIT_IDENTIFIER`
  tag of UnitIdentifier
  `static final String`
  `TAG_URI`
  Uri element
  `static final String`
  `TAG_VERSIONS`
  versions element
  `static final String`
  `UPDATE_OPERATION`
  update operation
  `static final String`
  `VIRTUAL_UPS`
  Virtual up tree

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<String>`
  `getSupportedRules()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_VERSIONS

    public static final String TAG_VERSIONS
    versions element
    See Also:
      - Constant Field Values

  - ### TAG_URI

    public static final String TAG_URI
    Uri element
    See Also:
      - Constant Field Values

  - ### TAG_FILE_INFO

    public static final String TAG_FILE_INFO
    File Info element
    See Also:
      - Constant Field Values

  - ### TAG_NB

    public static final String TAG_NB
    Tag of nb
    See Also:
      - Constant Field Values

  - ### TAG_SIZE

    public static final String TAG_SIZE
    Tag of size
    See Also:
      - Constant Field Values

  - ### TAG_DIGEST

    public static final String TAG_DIGEST
    Tag of messageDigest
    See Also:
      - Constant Field Values

  - ### ALGORITHM

    public static final String ALGORITHM
    Tag of algorithm
    See Also:
      - Constant Field Values

  - ### STORAGE

    public static final String STORAGE
    Tag for storage in objectGroup
    See Also:
      - Constant Field Values

  - ### OFFER_IDS

    public static final String OFFER_IDS
    Tag in storage
    See Also:
      - Constant Field Values

  - ### STRATEGY_ID

    public static final String STRATEGY_ID
    Strategy Id
    See Also:
      - Constant Field Values

  - ### TAG_DO_VERSION

    public static final String TAG_DO_VERSION
    Tag of DataObjectVersion
    See Also:
      - Constant Field Values

  - ### TAG_MESSAGE_IDENTIFIER

    public static final String TAG_MESSAGE_IDENTIFIER
    Tag of MessageIdentifier
    See Also:
      - Constant Field Values

  - ### TAG_BINARY_DATA_OBJECT

    public static final String TAG_BINARY_DATA_OBJECT
    Tag of BinaryDataObject
    See Also:
      - Constant Field Values

  - ### TAG_PHYSICAL_DATA_OBJECT

    public static final String TAG_PHYSICAL_DATA_OBJECT
    Tag of PhysicalDataObject
    See Also:
      - Constant Field Values

  - ### TAG_FORMAT_IDENTIFICATION

    public static final String TAG_FORMAT_IDENTIFICATION
    Tag of FormatIdentification
    See Also:
      - Constant Field Values

  - ### TAG_FORMAT_ID

    public static final String TAG_FORMAT_ID
    Tag of FormatId
    See Also:
      - Constant Field Values

  - ### TAG_FORMAT_LITTERAL

    public static final String TAG_FORMAT_LITTERAL
    Tag of FormatLitteral
    See Also:
      - Constant Field Values

  - ### TAG_MIME_TYPE

    public static final String TAG_MIME_TYPE
    Tag of Mimetype
    See Also:
      - Constant Field Values

  - ### TAG_DATA_OBJECT_GROUP_REFERENCEID

    public static final String TAG_DATA_OBJECT_GROUP_REFERENCEID
    Tag of DataObjectGroupReferenceId
    See Also:
      - Constant Field Values

  - ### TAG_DATA_OBJECT_GROUP_EXISTING_REFERENCEID

    public static final String TAG_DATA_OBJECT_GROUP_EXISTING_REFERENCEID
    Tag of DataObjectGroupExistingReferenceId
    See Also:
      - Constant Field Values

  - ### TAG_RELATED_OBJECT_REFERENCE

    public static final String TAG_RELATED_OBJECT_REFERENCE
    Tag of RelatedObjectReference
    See Also:
      - Constant Field Values

  - ### TAG_RELATED_TRANSFER_REFERENCE

    public static final String TAG_RELATED_TRANSFER_REFERENCE
    Tag of RelatedTransferReference
    See Also:
      - Constant Field Values

  - ### TAG_TRANSFER_REQUEST_REPLY_IDENTIFIER

    public static final String TAG_TRANSFER_REQUEST_REPLY_IDENTIFIER
    Tag of TransferRequestReplyIdentifier
    See Also:
      - Constant Field Values

  - ### TAG_REQUESTER

    public static final String TAG_REQUESTER
    Tag of Requester
    See Also:
      - Constant Field Values

  - ### TAG_AUTHORIZATION_REQUEST_REPLY_IDENTIFIER

    public static final String TAG_AUTHORIZATION_REQUEST_REPLY_IDENTIFIER
    Tag of AuthorizationRequestReplyIdentifier
    See Also:
      - Constant Field Values

  - ### TAG_DATA_OBJECT_REFERENCEID

    public static final String TAG_DATA_OBJECT_REFERENCEID
    Tag of DataObjectReferenceId
    See Also:
      - Constant Field Values

  - ### TAG_PHYSICAL_ID

    public static final String TAG_PHYSICAL_ID
    Tag of PhysicalId
    See Also:
      - Constant Field Values

  - ### TAG_D_VALUE

    public static final String TAG_D_VALUE
    Tag of dValue : used for data with an attibute
    See Also:
      - Constant Field Values

  - ### PREFIX_ID

    public static final String PREFIX_ID
    Prefix of id element
    See Also:
      - Constant Field Values

  - ### PREFIX_OG

    public static final String PREFIX_OG
    Prefix of object group
    See Also:
      - Constant Field Values

  - ### PREFIX_WORK

    public static final String PREFIX_WORK
    Prefix of work element in the OG
    See Also:
      - Constant Field Values

  - ### PREFIX_EXISTING

    public static final String PREFIX_EXISTING
    Prefix to be added in _work, it can be boolean or object. Used for linked AU to AU and/or GOT
    See Also:
      - Constant Field Values

  - ### PREFIX_QUALIFIERS

    public static final String PREFIX_QUALIFIERS
    Prefix of qualifiers element
    See Also:
      - Constant Field Values

  - ### PREFIX_QUALIFIER

    public static final String PREFIX_QUALIFIER
    Prefix of qualifiers element
    See Also:
      - Constant Field Values

  - ### PREFIX_UP

    public static final String PREFIX_UP
    Prefix of up element
    See Also:
      - Constant Field Values

  - ### PREFIX_TENANT_ID

    public static final String PREFIX_TENANT_ID
    Prefix of tenantID
    See Also:
      - Constant Field Values

  - ### PREFIX_NB

    public static final String PREFIX_NB
    Prefix of nb
    See Also:
      - Constant Field Values

  - ### PREFIX_OPS

    public static final String PREFIX_OPS
    Prefix of ops
    See Also:
      - Constant Field Values

  - ### PREFIX_OPI

    public static final String PREFIX_OPI
    Prefix of opi
    See Also:
      - Constant Field Values

  - ### PREFIX_TYPE

    public static final String PREFIX_TYPE
    Prefix of type
    See Also:
      - Constant Field Values

  - ### PREFIX_MGT

    public static final String PREFIX_MGT
    Prefix of management
    See Also:
      - Constant Field Values

  - ### PREFIX_ORIGINATING_AGENCY

    public static final String PREFIX_ORIGINATING_AGENCY
    Prefix of OriginatingAgency
    See Also:
      - Constant Field Values

  - ### PREFIX_ORIGINATING_AGENCIES

    public static final String PREFIX_ORIGINATING_AGENCIES
    Prefix of OriginatingAgency
    See Also:
      - Constant Field Values

  - ### DATE_FORMAT_PATERN

    public static final String DATE_FORMAT_PATERN
    Date format patern
    See Also:
      - Constant Field Values

  - ### DATE_TIME_FORMAT_PATERN

    public static final String DATE_TIME_FORMAT_PATERN
    Date time format patern
    See Also:
      - Constant Field Values

  - ### RULE_SEPARATOR

    public static final String RULE_SEPARATOR
    Rule separator in work
    See Also:
      - Constant Field Values

  - ### TAG_ARCHIVE_DELIVERY_REQUEST_REPLY

    public static final String TAG_ARCHIVE_DELIVERY_REQUEST_REPLY
    tag of ArchiveDeliveryRequestReply
    See Also:
      - Constant Field Values

  - ### TAG_COMMENT

    public static final String TAG_COMMENT
    See Also:
      - Constant Field Values

  - ### TAG_RULES

    public static final String TAG_RULES
    tag of Rules
    See Also:
      - Constant Field Values

  - ### TAG_DATE

    public static final String TAG_DATE
    tag of Date
    See Also:
      - Constant Field Values

  - ### TAG_ARCHIVAL_AGREEMENT

    public static final String TAG_ARCHIVAL_AGREEMENT
    tag of ArchivalAgreement
    See Also:
      - Constant Field Values

  - ### TAG_ARCHIVE_PROFILE

    public static final String TAG_ARCHIVE_PROFILE
    tag of ArchiveProfile
    See Also:
      - Constant Field Values

  - ### TAG_SERVICE_LEVEL

    public static final String TAG_SERVICE_LEVEL
    tag of ServiceLevel
    See Also:
      - Constant Field Values

  - ### TAG_DATA_OBJECT_PACKAGE

    public static final String TAG_DATA_OBJECT_PACKAGE
    tag of DataObjectPackage
    See Also:
      - Constant Field Values

  - ### TAG_DESCRIPTIVE_METADATA

    public static final String TAG_DESCRIPTIVE_METADATA
    tag of DescriptiveMetadata
    See Also:
      - Constant Field Values

  - ### TAG_MANAGEMENT_METADATA

    public static final String TAG_MANAGEMENT_METADATA
    tag of ManagementMetadata
    See Also:
      - Constant Field Values

  - ### TAG_REPLY_OUTCOME

    public static final String TAG_REPLY_OUTCOME
    tag of ReplyOutcome
    See Also:
      - Constant Field Values

  - ### TAG_ARCHIVE_UNIT_LIST

    public static final String TAG_ARCHIVE_UNIT_LIST
    tag of ArchiveUnitList
    See Also:
      - Constant Field Values

  - ### TAG_DATA_OBJECT_LIST

    public static final String TAG_DATA_OBJECT_LIST
    tag of DataObjectList
    See Also:
      - Constant Field Values

  - ### TAG_REPLY_CODE

    public static final String TAG_REPLY_CODE
    tag of ReplyCode
    See Also:
      - Constant Field Values

  - ### TAG_ARCHIVAL_AGENCY

    public static final String TAG_ARCHIVAL_AGENCY
    tag of ArchivalAgency
    See Also:
      - Constant Field Values

  - ### TAG_TRANSFERRING_AGENCY

    public static final String TAG_TRANSFERRING_AGENCY
    tag of TransferringAgency
    See Also:
      - Constant Field Values

  - ### TAG_IDENTIFIER

    public static final String TAG_IDENTIFIER
    tag of Identifier
    See Also:
      - Constant Field Values

  - ### TAG_MESSAGE_REQUEST_IDENTIFIER

    public static final String TAG_MESSAGE_REQUEST_IDENTIFIER
    tag of MessageRequestIdentifier
    See Also:
      - Constant Field Values

  - ### TAG_UNIT_IDENTIFIER

    public static final String TAG_UNIT_IDENTIFIER
    tag of UnitIdentifier
    See Also:
      - Constant Field Values

  - ### TAG_CODE_LIST_VERSIONS

    public static final String TAG_CODE_LIST_VERSIONS
    tag of CodeListVersions
    See Also:
      - Constant Field Values

  - ### TAG_REPLY_CODE_LIST_VERSION

    public static final String TAG_REPLY_CODE_LIST_VERSION
    tag of ReplyCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_MIME_TYPE_CODE_LIST_VERSION

    public static final String TAG_MIME_TYPE_CODE_LIST_VERSION
    tag of MimeTypeCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_ENCODING_CODE_LIST_VERSION

    public static final String TAG_ENCODING_CODE_LIST_VERSION
    tag of EncodingCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_MESSAGE_DIGEST_ALGORITHM_CODE_LIST_VERSION

    public static final String TAG_MESSAGE_DIGEST_ALGORITHM_CODE_LIST_VERSION
    tag of MessageDigestAlgorithmCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_COMPRESSION_ALGORITHM_CODE_LIST_VERSION

    public static final String TAG_COMPRESSION_ALGORITHM_CODE_LIST_VERSION
    tag of CompressionAlgorithmCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_FILE_FORMAT_CODE_LIST_VERSION

    public static final String TAG_FILE_FORMAT_CODE_LIST_VERSION
    tag of FileFormatCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_DATA_OBJECT_VERSION_CODE_LIST_VERSION

    public static final String TAG_DATA_OBJECT_VERSION_CODE_LIST_VERSION
    tag of DataObjectVersionCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_STORAGE_RULE_CODE_LIST_VERSION

    public static final String TAG_STORAGE_RULE_CODE_LIST_VERSION
    tag of StorageRuleCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_APPRAISAL_RULE_CODE_LIST_VERSION

    public static final String TAG_APPRAISAL_RULE_CODE_LIST_VERSION
    tag of AppraisalRuleCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_ACCESS_RULE_CODE_LIST_VERSION

    public static final String TAG_ACCESS_RULE_CODE_LIST_VERSION
    tag of AccessRuleCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_DISSEMINATION_RULE_CODE_LIST_VERSION

    public static final String TAG_DISSEMINATION_RULE_CODE_LIST_VERSION
    tag of DisseminationRuleCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_REUSE_RULE_CODE_LIST_VERSION

    public static final String TAG_REUSE_RULE_CODE_LIST_VERSION
    tag of ReuseRuleCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_CLASSIFICATION_RULE_CODE_LIST_VERSION

    public static final String TAG_CLASSIFICATION_RULE_CODE_LIST_VERSION
    tag of ClassificationRuleCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_AUTHORIZATION_REASON_CODE_LIST_VERSION

    public static final String TAG_AUTHORIZATION_REASON_CODE_LIST_VERSION
    tag of AuthorizationReasonCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_RELATIONSHIP_CODE_LIST_VERSION

    public static final String TAG_RELATIONSHIP_CODE_LIST_VERSION
    tag of RelationshipCodeListVersion
    See Also:
      - Constant Field Values

  - ### TAG_ARCHIVE_TRANSFER

    public static final String TAG_ARCHIVE_TRANSFER
    tag of ArchiveTransfer
    See Also:
      - Constant Field Values

  - ### TAG_ARCHIVE_UNIT_PROFILE

    public static final String TAG_ARCHIVE_UNIT_PROFILE
    tag of ArchiveUnit
    See Also:
      - Constant Field Values

  - ### TAG_GRANT_DATE

    public static final String TAG_GRANT_DATE
    tag of GrantDate
    See Also:
      - Constant Field Values

  - ### TAG_ORGANIZATIONDESCRIPTIVEMETADATA

    public static final String TAG_ORGANIZATIONDESCRIPTIVEMETADATA
    tag of OrganizationDescriptiveMetadata
    See Also:
      - Constant Field Values

  - ### TAG_ORIGINATINGAGENCY

    public static final String TAG_ORIGINATINGAGENCY
    tag of OriginatingAgency
    See Also:
      - Constant Field Values

  - ### TAG_ACQUISITIONINFORMATION

    public static final String TAG_ACQUISITIONINFORMATION
    tag of AcquisitionInformation
    See Also:
      - Constant Field Values

  - ### TAG_LEGALSTATUS

    public static final String TAG_LEGALSTATUS
    tag of LegalStatus
    See Also:
      - Constant Field Values

  - ### TAG_ORIGINATINGAGENCYIDENTIFIER

    public static final String TAG_ORIGINATINGAGENCYIDENTIFIER
    tag of OriginatingAgencyIdentifier
    See Also:
      - Constant Field Values

  - ### TAG_ORIGINATINGAGENCYIDENTIFIERS

    public static final String TAG_ORIGINATINGAGENCYIDENTIFIERS
    tag of OriginatingAgencyIdentifier
    See Also:
      - Constant Field Values

  - ### TAG_SUBMISSIONAGENCYIDENTIFIER

    public static final String TAG_SUBMISSIONAGENCYIDENTIFIER
    tag of SubmissionAgencyIdentifier
    See Also:
      - Constant Field Values

  - ### TAG_DATA_OBJECT_GROUPE_ID

    public static final String TAG_DATA_OBJECT_GROUPE_ID
    tag of DataObjectGroupId
    See Also:
      - Constant Field Values

  - ### TAG_RULE_STORAGE

    public static final String TAG_RULE_STORAGE
    tag of StorageRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_APPRAISAL

    public static final String TAG_RULE_APPRAISAL
    tag of AppraisalRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_ACCESS

    public static final String TAG_RULE_ACCESS
    tag of AccessRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_DISSEMINATION

    public static final String TAG_RULE_DISSEMINATION
    tag of DisseminationRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_REUSE

    public static final String TAG_RULE_REUSE
    tag of ReuseRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_CLASSIFICATION

    public static final String TAG_RULE_CLASSIFICATION
    tag of ClassificationRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_HOLD

    public static final String TAG_RULE_HOLD
    tag of HoldRule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_RULE

    public static final String TAG_RULE_RULE
    tag of Rule
    See Also:
      - Constant Field Values

  - ### TAG_RULE_START_DATE

    public static final String TAG_RULE_START_DATE
    tag of StartDate
    See Also:
      - Constant Field Values

  - ### TAG_RULE_FINAL_ACTION

    public static final String TAG_RULE_FINAL_ACTION
    tag of FinalAction
    See Also:
      - Constant Field Values

  - ### TAG_RULE_PREVENT_INHERITANCE

    public static final String TAG_RULE_PREVENT_INHERITANCE
    tag PreventInheritance
    See Also:
      - Constant Field Values

  - ### TAG_RULE_REF_NON_RULE_ID

    public static final String TAG_RULE_REF_NON_RULE_ID
    tag of RefNonRuleId
    See Also:
      - Constant Field Values

  - ### TAG_RULE_CLASSIFICATION_LEVEL

    public static final String TAG_RULE_CLASSIFICATION_LEVEL
    tag of ClassificationLevel
    See Also:
      - Constant Field Values

  - ### TAG_RULE_CLASSIFICATION_OWNER

    public static final String TAG_RULE_CLASSIFICATION_OWNER
    tag of ClassificationOwner
    See Also:
      - Constant Field Values

  - ### TAG_RULE_CLASSIFICATION_AUDIENCE

    public static final String TAG_RULE_CLASSIFICATION_AUDIENCE
    tag of ClassificationAudience
    See Also:
      - Constant Field Values

  - ### TAG_RULE_CLASSIFICATION_REASSESSING_DATE

    public static final String TAG_RULE_CLASSIFICATION_REASSESSING_DATE
    tag of ClassificationReassessingDate
    See Also:
      - Constant Field Values

  - ### TAG_RULE_CLASSIFICATION_NEED_REASSESSING_AUTHORIZATION

    public static final String TAG_RULE_CLASSIFICATION_NEED_REASSESSING_AUTHORIZATION
    tag of NeedReassessingAuthorization
    See Also:
      - Constant Field Values

  - ### TAG_RULE_NEED_AUTHORISATION

    public static final String TAG_RULE_NEED_AUTHORISATION
    tag of NeedAuthorization
    See Also:
      - Constant Field Values

  - ### TAG_RULE_HOLD_END_DATE

    public static final String TAG_RULE_HOLD_END_DATE
    See Also:
      - Constant Field Values

  - ### TAG_RULE_HOLD_OWNER

    public static final String TAG_RULE_HOLD_OWNER
    See Also:
      - Constant Field Values

  - ### TAG_RULE_HOLD_REASSESSING_DATE

    public static final String TAG_RULE_HOLD_REASSESSING_DATE
    See Also:
      - Constant Field Values

  - ### TAG_RULE_HOLD_REASON

    public static final String TAG_RULE_HOLD_REASON
    See Also:
      - Constant Field Values

  - ### TAG_RULE_PREVENT_REARRANGEMENT

    public static final String TAG_RULE_PREVENT_REARRANGEMENT
    See Also:
      - Constant Field Values

  - ### TAG_ATTRIBUTE_LANG

    public static final String TAG_ATTRIBUTE_LANG
    See Also:
      - Constant Field Values

  - ### TAG_ATTRIBUTE_UNIT

    public static final String TAG_ATTRIBUTE_UNIT
    See Also:
      - Constant Field Values

  - ### TAG_RULE_APPLING_TO_ROOT_ARCHIVE_UNIT

    public static final String TAG_RULE_APPLING_TO_ROOT_ARCHIVE_UNIT
    Prefix of rules will be applicated to archive unit
    See Also:
      - Constant Field Values

  - ### TAG_RULE_END_DATE

    public static final String TAG_RULE_END_DATE
    Prefix of rules end date
    See Also:
      - Constant Field Values

  - ### TAG_OPERATION

    public static final String TAG_OPERATION
    tag of Operation
    See Also:
      - Constant Field Values

  - ### TAG_EVENT

    public static final String TAG_EVENT
    tag of Event
    See Also:
      - Constant Field Values

  - ### TAG_EVENT_TYPE

    public static final String TAG_EVENT_TYPE
    tag of EventTyoe
    See Also:
      - Constant Field Values

  - ### TAG_EVENT_TYPE_CODE

    public static final String TAG_EVENT_TYPE_CODE
    tag of EventTypeCode
    See Also:
      - Constant Field Values

  - ### TAG_EVENT_DATE_TIME

    public static final String TAG_EVENT_DATE_TIME
    tag of EventDateTime
    See Also:
      - Constant Field Values

  - ### TAG_EVENT_OUTCOME

    public static final String TAG_EVENT_OUTCOME
    tag of Outcome
    See Also:
      - Constant Field Values

  - ### TAG_EVENT_OUTCOME_DETAIL

    public static final String TAG_EVENT_OUTCOME_DETAIL
    tag of OutcomeDetail
    See Also:
      - Constant Field Values

  - ### TAG_EVENT_OUTCOME_DETAIL_MESSAGE

    public static final String TAG_EVENT_OUTCOME_DETAIL_MESSAGE
    tag of OutcomeDetailMessage
    See Also:
      - Constant Field Values

  - ### TAG_EVENT_DETAIL_DATA

    public static final String TAG_EVENT_DETAIL_DATA
    tag of EventDetailData
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ID

    public static final String ATTRIBUTE_ID
    attribute id of archive unit
    See Also:
      - Constant Field Values

  - ### TAG_ARCHIVE_UNIT

    public static final String TAG_ARCHIVE_UNIT
    tag of ArchiveUnit
    See Also:
      - Constant Field Values

  - ### TAG_ARCHIVE_SYSTEM_ID

    public static final String TAG_ARCHIVE_SYSTEM_ID
    tag of SystemId
    See Also:
      - Constant Field Values

  - ### UPDATE_OPERATION

    public static final String UPDATE_OPERATION
    update operation
    See Also:
      - Constant Field Values

  - ### TAG_DATA_OBJECT_GROUP

    public static final String TAG_DATA_OBJECT_GROUP
    tag of DataObjectGroup
    See Also:
      - Constant Field Values

  - ### TAG_BINARY_DATA_OBJECT_ID

    public static final String TAG_BINARY_DATA_OBJECT_ID
    tag of BinaryDataObjectID
    See Also:
      - Constant Field Values

  - ### TAG_DATA_OBJECT_SYSTEM_ID

    public static final String TAG_DATA_OBJECT_SYSTEM_ID
    tag of DataObjectSystemId
    See Also:
      - Constant Field Values

  - ### TAG_DATA_OBJECT_GROUP_SYSTEM_ID

    public static final String TAG_DATA_OBJECT_GROUP_SYSTEM_ID
    tag of DataObjectGroupSystemId
    See Also:
      - Constant Field Values

  - ### EV_DET_TECH_DATA

    public static final String EV_DET_TECH_DATA
    evDetTechData
    See Also:
      - Constant Field Values

  - ### NAMESPACE_XLINK

    public static final String NAMESPACE_XLINK
    the namespace xlink
    See Also:
      - Constant Field Values

  - ### NAMESPACE_PR

    public static final String NAMESPACE_PR
    the namespace pr
    See Also:
      - Constant Field Values

  - ### NAMESPACE_XSI

    public static final String NAMESPACE_XSI
    the namespace xsi
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SCHEMA_LOCATION

    public static final String ATTRIBUTE_SCHEMA_LOCATION
    the attribute schemaLocation
    See Also:
      - Constant Field Values

  - ### STAX_PROPERTY_PREFIX_OUTPUT_SIDE

    public static final String STAX_PROPERTY_PREFIX_OUTPUT_SIDE
    reparing namespace property
    See Also:
      - Constant Field Values

  - ### LFC_OBJECTS_FOLDER

    public static final String LFC_OBJECTS_FOLDER
    LFC OBJECTS FOLDER path
    See Also:
      - Constant Field Values

  - ### LFC_UNITS_FOLDER

    public static final String LFC_UNITS_FOLDER
    LFC UNITS FOLDER path
    See Also:
      - Constant Field Values

  - ### TAG_LOGBOOK

    public static final String TAG_LOGBOOK
    See Also:
      - Constant Field Values

  - ### VIRTUAL_UPS

    public static final String VIRTUAL_UPS
    Virtual up tree
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getSupportedRules

    public static List<String> getSupportedRules()
    Returns:
      supported Rules type